## open-infrastructure-system-build 20161101

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = frontend/* functions/* examples/auto/* examples/hooks/* scripts/*.sh scripts/*/* share/bin/* share/hooks/*/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@echo -n "Checking for bashisms"

	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping bashism test - you need to install devscripts."; \
	fi

	@echo " done."

build:
	@echo "Nothing to build."

install:
	# Installing shared data
	mkdir -p $(DESTDIR)/usr/share/live/build
	cp -r data functions VERSION $(DESTDIR)/usr/share/live/build
	cp -r share/* $(DESTDIR)/usr/share/live/build

	# Installing executables
	mkdir -p $(DESTDIR)/usr/bin
	cp -a frontend/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/lib/live
	cp -a scripts/* $(DESTDIR)/usr/lib/live

	# Installing documentation
	mkdir -p $(DESTDIR)/usr/share/doc/live-build
	cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-build

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling shared data
	rm -rf $(DESTDIR)/usr/share/live/build
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live > /dev/null 2>&1 || true

	# Uninstalling executables
	rm -f $(DESTDIR)/usr/bin/lb $(DESTDIR)/usr/bin/live-build

	# Uninstalling documentation
	rm -rf $(DESTDIR)/usr/share/doc/live-build

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

clean:

distclean:

reinstall: uninstall install

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "E: msgfmt - command not found"; \
		echo "I: gettext can be obtained from http://www.gnu.org/software/gettext/"; \
		echo "I: On Debian based systems, gettext can be installed with 'apt-get install gettext'."; \
		exit 1; \
	fi

	@echo " done!"

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-build --package-version $(shell cat ../VERSION) po4a.cfg

clean:
	rm -f po/*/*.po~

distclean: clean
	rm -f po4a.cfg
	rm -rf $(LANGUAGES)

rebuild: distclean update build

## open-infrastructure-system-build 20160701

=== debian/changelog ===
open-infrastructure-system-build (20160701-1) unstable; urgency=low

  * Merging upstream version 20160701:
    - Fixing typo in binary_syslinux (Closes: #832686).
    - Switching d-i.debian.org URIs from http to https (Closes: #832680).
    - Setting xorriso's "modification time" to SOURCE_DATE_EPOCH as a first step
      for reproducible ISO images (Closes: #832689).
    [...]
  * Adding gpg verification to watch file.
  * Updating upstream git location.
  * Updating vcs fields.
  * Adding bug numbers to previous changelog entries.
  * Removing manpage-whatis.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 28 Jul 2016 14:38:27 +0200

open-infrastructure-system-build (20160601-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160601:
    - Removing 586 flavour for i386 architecture (Closes: #832705).
    - Including ext{3,4} journal size when calculating image size
      (Closes: #832671).
    [...]
  * Adding provides system-build.
  * Updating homepage field.
  * Switching to debhelper compat 10.
  * Adding watch file.
  * Refreshing manpage-whatis.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 03 Jun 2016 15:56:25 +0200

open-infrastructure-system-build (20160501-1) unstable; urgency=low

  * Initial upload to sid (Closes: #816413).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 08 May 2016 08:11:35 +0200

=== debian/control ===
Source: open-infrastructure-system-build
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9.20160402~),
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/system-build
Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-build
Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-build

Package: open-infrastructure-system-build
Architecture: all
Depends:
 debootstrap,
 ${misc:Depends},
Recommends:
 apt-utils,
 cpio,
 live-manual-html | live-manual,
 wget,
Suggests:
 debian-keyring,
 gpgv,
Conflicts:
 live-build,
Replaces:
 live-build,
Provides:
 system-build,
Description: System Image Build Tool
 system-build is a tool to build system images such as a live system from a
 configuration directory.

## open-infrastructure-system-build 20161101-lts2

=== debian/changelog ===
open-infrastructure-system-build (20161101-lts2-2) unstable; urgency=low

  * Uploading to sid.
  * Using consistent email address for all downstream work.
  * Updating email address in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Jan 2017 18:00:07 +0100

open-infrastructure-system-build (20161101-lts2-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20161101-lts2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Dec 2016 09:12:54 +0100

open-infrastructure-system-build (20161101-lts1-1) unstable; urgency=high

  * Uploading to sid.
  * Merging upstream version 20161101-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2016 13:18:03 +0100

open-infrastructure-system-build (20161101-1) unstable; urgency=high

  * Uploading to sid.
  * Merging upstream version 20161101.
  * Adding upload note to previous changelog.
  * Updating debhelper build-depends for version 10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2016 12:58:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: open-infrastructure-system-build
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper (>= 9.20160402~),
+ debhelper (>= 10),
 Standards-Version: 3.9.8
 Homepage: https://open-infrastructure.net/software/system-build
 Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-build

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel

override_dh_auto_install:
	dh_auto_install

	# Removing unused files
	rm -rf debian/*/usr/share/doc/live-build

override_dh_compress:
	dh_compress

	# Recompressing without timestamp
	cd debian/open-infrastructure-system-build/usr/share/live/build/bootloaders/grub-legacy && \
	gunzip splash.xpm.gz && \
	gzip -n splash.xpm

override_dh_link:
	dh_link

	# workaround dh_link convertion of absolute symlinks to relvative symlinks
	rm -rf debian/open-infrastructure-system-build/usr/share/live/build/bootloaders
	cp -a share/bootloaders debian/open-infrastructure-system-build/usr/share/live/build/bootloaders

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/system-build/upstream/system-build-(.+)\.tar\.xz

## open-infrastructure-system-build 20161115

=== debian/changelog ===
open-infrastructure-system-build (20161115-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161115.
  * Updating upstream contact in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 16 Nov 2016 08:10:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: open-infrastructure-system-build
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends:
  debhelper (>= 10),
 Standards-Version: 3.9.8
